Multi-Object-Editing : Support for MESH_OT_convex_hull
ClosedPublic

Authored by Lucas Boutrot (thornydre) on May 8 2018, 12:17 AM.

Diff Detail

Repository
rB Blender
Dalai Felinto (dfelinto) requested changes to this revision.May 11 2018, 12:39 PM

Thanks for the patch, there are few required changes though:

  • Skip loop if no vert is selected, not faces.
  • Move all the RNA_.*_get functions outside the for loop.

Optional change:

  • Make a convex hull among all the selected objects, not one per object. (to be added to the active object mesh).

This probably requires a big refactor, so don't bother with this if you don't want to.

This revision now requires changes to proceed.May 11 2018, 12:39 PM
  • Change totfacesel to totvertsel
  • Move RNA_*_get functions outside the loop

Didn't try to make it create one convex hull for all the objects, I don't think I am familiar enough with Blender code yet.

This revision was not accepted when it landed; it landed in state Needs Review.May 14 2018, 12:22 PM
This revision was automatically updated to reflect the committed changes.